# lam.asyncExecute

## Functionality

The `asyncExecute` keyword executes each specified workflow in parallel. Unlike `lam.execute`, this keyword runs workflows **asynchronously** and does not block the current workflow's execution.

## Invocation

Data transformation must output:

```javascript
{
  "lam.asyncExecute": [
    {
      "lam.workflowId": 39,
      "lam.payload": { /* payload data */ }
    }
  ]
}
```

| Key          | Description                              | Type                           |
| ------------ | ---------------------------------------- | ------------------------------ |
| asyncExecute | The workflows to execute with a payload  | Array<{ workflowId, payload }> |
| workflowId   | The workflow ID to invoke asynchronously | Integer                        |
| payload      | The payload to pass to the workflow      | Object                         |

## Examples

```javascript
(payload) => {
  const { input } = payload;
  const { Recipient, PackagesInfo } = input;
  
  const packagePayloads = PackagesInfo.Packages.map(pkg => ({
    "lam.workflowId": 39,
    "lam.payload": {
      address_1: Recipient.Address1,
      address_2: Recipient.Address2,
      EXT_FIELD_first_name: Recipient.Firstname,
      EXT_FIELD_last_name: Recipient.Name,
      EXT_FIELD_email: Recipient.Email,
      EXT_FIELD_phone: Recipient.Tel,
      EXT_FIELD_weight: pkg.Weight.Value,
      custom_user_fields: [
        { order_custom_field_id: 1852 }
      ],
      address_city: Recipient.City,
      address_state_id: Recipient.CountryStateCode,
      address_country_id: Recipient.CountryCode,
      address_zip: Recipient.PostalCode,
      tracking_number: pkg.PreAssignTrackingNumber.TrackingNumber
    }
  }));

  return {
    "lam.asyncExecute": packagePayloads
  };
}
```

> In this example we map an array of packages to the `asyncExecute` keyword. Laminar will then invoke workflow 39 with each individual payload in parallel.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.laminar.run/building-an-integration/keywords/lam.asyncexecute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
